// an external way to creating logs
import { createRoute, OpenAPIHono, z } from "@hono/zod-openapi";
import { responses } from "../../../../globalUtils/routeDefs/responses.js";
import { tryCatch } from "../../../../globalUtils/tryCatch.js";
import { apiHit } from "../../../../globalUtils/apiHits.js";
import { getLabelRatio } from "../../controller/labeling/getLabelRatio.js";

const app = new OpenAPIHono({ strict: false });

app.openapi(
    createRoute({
        tags: ["ocp"],
        summary: "Returns current active lots that are tech released",
        method: "get",
        path: "/labelratio",
        responses: responses(),
    }),
    async (c) => {
        const { data: labelData, error: labelError } = await tryCatch(
            getLabelRatio()
        );
        apiHit(c, { endpoint: "/labelratio" });

        if (labelError) {
            return c.json({
                success: false,
                message: "There was an error getting the printers",
            });
        }

        return c.json({
            success: labelData.success,
            message: labelData.message,
            data: labelData.data,
        });
    }
);
export default app;
